Skip to Content
veriom

Get intent comparison evidence

GET
/v1/workspaces/{workspace_id}/architecture-intent/comparisons/{comparison_id}/evidence/{evidence_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
comparison_id*Comparison Id
Formatuuid
evidence_id*Evidence Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
attributes?
content_sha256*Content Sha256
Match^[a-f0-9]{64}$
evidence_kind*Evidence Kind
Length1 <= length <= 100
id*Id
Formatuuid
location?|null
object?|null
observed_at?Observed At
Formatdate-time
provider*Provider
Length1 <= length <= 100
relationship_kind?|null
source_ref*Source Ref
Length1 <= length <= 2048
source_type*Source Type
Value in"code""cloud""cicd"
subject*
summary*Summary
Length1 <= length <= 1000
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/comparisons/497f6eca-6276-4993-bfeb-53cbbbba6f08/evidence/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "attributes": {    "property1": "string",    "property2": "string"  },  "content_sha256": "string",  "evidence_kind": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "location": {    "end_column": 1,    "end_line": 1,    "path": "string",    "start_column": 1,    "start_line": 1  },  "object": {    "attributes": {      "property1": "string",      "property2": "string"    },    "key": "string",    "kind": "repository",    "name": "string"  },  "observed_at": "2019-08-24T14:15:22Z",  "provider": "string",  "relationship_kind": "string",  "source_ref": "string",  "source_type": "code",  "subject": {    "attributes": {      "property1": "string",      "property2": "string"    },    "key": "string",    "kind": "repository",    "name": "string"  },  "summary": "string"}